require "import"
import "android.widget.*"
import "com.androlua.*"

-- Diseño de la interfaz
layout = {
  GridView, 
  id = "grid", 
  numColumns = 2, 
  layout_width = "fill", 
  layout_height = "fill"
}

-- Opciones del menú
items = {"Fecha actual", "Clima actual", "Calendario", "Temporizador temporal"}

-- Crear diálogo
dlg = LuaDialog(this)
dlg.View = loadlayout(layout)

-- Asignar adaptador al grid
grid.adapter = SingleLineAdapter(service, String(items))

-- Configurar título y botón del diálogo
dlg.setTitle("Asistente")
dlg.setButton("Cerrar", nil)

-- Mostrar diálogo
dlg.show()

-- Función para manejar clics en el grid
grid.onItemClick = function(l, v)
  dlg.dismiss()
  task(500, function()
    if v.text == "Fecha actual" then
      -- Meses del año
      days = {"enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"}
      -- Días de la semana
      W = {"domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"}
      
      -- Obtener fecha actual
      d = os.date("%m")
      d = days[tonumber(d)]
      w = tonumber(os.date("%w"))
      w = W[w+1]
      
      -- Mostrar fecha actual
      service.appendSpeak(w .. " " .. os.date("%d") .. " de " .. d)
      return true
    
    elseif v.text == "Clima actual" then
      -- Abrir aplicación de clima
      require "import"
      import "android.content.*"
      intent = Intent(Intent.ACTION_MAIN)
      intent.setComponent(ComponentName("com.google.android.googlequicksearchbox", "com.google.android.apps.search.weather.WeatherExportedActivity"))
      this.startActivity(intent)
      service.asyncSpeak("Mostrando detalles del clima actual. Desplázate hacia la derecha para continuar.")
      return true
    
    elseif v.text == "Calendario" then
      -- Abrir aplicación de calendario
      if service.click({{">Calendario",}}) return true end
    
    elseif v.text == "Temporizador temporal" then
      -- Abrir aplicación de temporizador
      if service.click({{"Temporizador",}}) return true end
    
    elseif v.text == "Comunicación" then
      -- Abrir aplicación de comunicación
      require "import"
      import "android.content.*"
      this.startActivity(Intent(Intent.ACTION_MAIN).setComponent(ComponentName("com.bemyeyes.bemyeyes", "com.bemyeyes.ui.bvi.BVIMainActivity")))
      return true
    end
  end)
end
